Bug 1903956 - python-MDAnalysis: FTBFS in Fedora rawhide
Summary: python-MDAnalysis: FTBFS in Fedora rawhide
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: python-MDAnalysis
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Junghans
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F34FTBFS PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-12-03 08:46 UTC by Tomáš Hrnčiar
Modified: 2021-02-09 16:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
junghans: needinfo+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github MDAnalysis mdanalysis issues 3056 0 None open v1.0.0: rpm build fails on fedora rawhide 2021-01-08 14:03:28 UTC

Description Tomáš Hrnčiar 2020-12-03 08:46:03 UTC
Description of problem:
Package python-MDAnalysis fails to build from source in Fedora rawhide.

Version-Release number of selected component (if applicable):
0.20.1-5.fc33

Steps to Reproduce:
koji build --scratch f34 python-MDAnalysis-0.20.1-5.fc33.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/python-MDAnalysis

============================= test session starts ==============================
platform linux -- Python 3.10.0a2, pytest-6.0.2, py-1.9.0, pluggy-0.13.1 -- /usr/bin/python3
cachedir: .pytest_cache
hypothesis profile 'default' -> database=DirectoryBasedExampleDatabase('/builddir/build/BUILD/MDAnalysis-0.20.1/MDAnalysisTests-0.20.1/MDAnalysisTests/.hypothesis/examples')
rootdir: /builddir/build/BUILD/MDAnalysis-0.20.1/MDAnalysisTests-0.20.1, configfile: setup.cfg
plugins: hypothesis-5.41.3, xdist-2.1.0, forked-1.3.0
gw0 I
[gw0] linux Python 3.10.0 cwd: /builddir/build/BUILD/MDAnalysis-0.20.1/MDAnalysisTests-0.20.1/MDAnalysisTests
[gw0] Python 3.10.0a2 (default, Nov  4 2020, 00:00:00)  -- [GCC 10.2.1 20201112 (Red Hat 10.2.1-8)]
gw0 [586]

scheduling tests via LoadScheduling
INTERNALERROR> Traceback (most recent call last):
INTERNALERROR>   File "/usr/lib/python3.10/site-packages/_pytest/main.py", line 240, in wrap_session
INTERNALERROR>     session.exitstatus = doit(config, session) or 0
INTERNALERROR>   File "/usr/lib/python3.10/site-packages/_pytest/main.py", line 296, in _main
INTERNALERROR>     config.hook.pytest_runtestloop(session=session)
INTERNALERROR>   File "/usr/lib/python3.10/site-packages/pluggy/hooks.py", line 286, in __call__
INTERNALERROR>     return self._hookexec(self, self.get_hookimpls(), kwargs)
INTERNALERROR>   File "/usr/lib/python3.10/site-packages/pluggy/manager.py", line 93, in _hookexec
INTERNALERROR>     return self._inner_hookexec(hook, methods, kwargs)
INTERNALERROR>   File "/usr/lib/python3.10/site-packages/pluggy/manager.py", line 84, in <lambda>
INTERNALERROR>     self._inner_hookexec = lambda hook, methods, kwargs: hook.multicall(
INTERNALERROR>   File "/usr/lib/python3.10/site-packages/pluggy/callers.py", line 208, in _multicall
INTERNALERROR>     return outcome.get_result()
INTERNALERROR>   File "/usr/lib/python3.10/site-packages/pluggy/callers.py", line 80, in get_result
INTERNALERROR>     raise ex[1].with_traceback(ex[2])
INTERNALERROR>   File "/usr/lib/python3.10/site-packages/pluggy/callers.py", line 187, in _multicall
INTERNALERROR>     res = hook_impl.function(*args)
INTERNALERROR>   File "/usr/lib/python3.10/site-packages/xdist/dsession.py", line 112, in pytest_runtestloop
INTERNALERROR>     self.loop_once()
INTERNALERROR>   File "/usr/lib/python3.10/site-packages/xdist/dsession.py", line 135, in loop_once
INTERNALERROR>     call(**kwargs)
INTERNALERROR>   File "/usr/lib/python3.10/site-packages/xdist/dsession.py", line 174, in worker_workerfinished
INTERNALERROR>     assert not crashitem, (crashitem, node)
INTERNALERROR> AssertionError: ('MDAnalysisTests/analysis/test_data.py::test_all_exports', <WorkerController gw0>)
INTERNALERROR> assert not 'MDAnalysisTests/analysis/test_data.py::test_all_exports'

======================= 4 warnings, 117 errors in 11.66s =======================
error: Bad exit status from /var/tmp/rpm-tmp.CIuygx (%check)
    Bad exit status from /var/tmp/rpm-tmp.CIuygx (%check)

Comment 1 Fedora Release Engineering 2020-12-06 04:22:56 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-01-28).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 2 Ben Cotton 2021-02-09 15:29:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.


Note You need to log in before you can comment on or make changes to this bug.